<app-loader *ngIf="isLoad"></app-loader>

<mat-card *ngIf="data" class="art-card">
	<h5> Дата окончания приема заявлений </h5>

	<table mat-table [dataSource]="data">
		<ng-container  matColumnDef="id">

			<th mat-header-cell *matHeaderCellDef> ID</th>
			<td mat-cell *matCellDef="let item" >{{item.id_end_application}}</td>
		</ng-container>

		<ng-container  matColumnDef="educationLevel">
			<th mat-header-cell *matHeaderCellDef> Уровень образования </th>
			<td mat-cell *matCellDef="let item" >{{item.name_education_level}}</td>
		</ng-container>

		<ng-container  matColumnDef="educationForm">
			<th mat-header-cell *matHeaderCellDef> Форма обучения </th>
			<td mat-cell *matCellDef="let item" >{{item.name_education_form}}</td>
		</ng-container>

		<ng-container  matColumnDef="endDate">
			<th mat-header-cell *matHeaderCellDef > Дата окончания приема заявлений </th>
			<td mat-cell *matCellDef="let item; let index = index" >
				<ng-container *ngIf="index !== editIndex">
					{{(item.end_date | date: 'dd.MM.yyyy') || '-'}}
				</ng-container>
				<ng-container *ngIf=" index === editIndex">
					<div>
						<mat-form-field appearance="standard" class="xl-input">
							<input matInput [matDatepicker]="picker"
								[(ngModel)]="editData.end_date"
								required>
							<mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
							<mat-datepicker #picker></mat-datepicker>
						</mat-form-field>
					</div>

				</ng-container>
			</td>
		</ng-container>


		<ng-container  matColumnDef="uid">
			<th mat-header-cell *matHeaderCellDef width="35%"> UID </th>
			<td mat-cell *matCellDef="let item; let index = index" >
				<ng-container *ngIf="index !== editIndex">
					{{ item.uid }}

					<button mat-icon-button
						(click)="editUid(item)"
						*ngIf="!checkEditRemove && item.id_end_application"
						matTooltip="Редактировать uid">
						<mat-icon svgIcon="pencil"></mat-icon>
					</button>

				</ng-container>
				<ng-container *ngIf=" index === editIndex">
					<div>
						<mat-form-field appearance="standard" fxFlex="" class="l-input">
							<input matInput appNullValue [(ngModel)]="editData.uid" maxlength="36">
						</mat-form-field>
					</div>

				</ng-container>
			</td>
		</ng-container>

		<ng-container  matColumnDef="action">
			<th mat-header-cell *matHeaderCellDef>  </th>
			<td mat-cell *matCellDef="let item; let index = index" >
					<ng-container *ngIf='!editData'>
						<span [matTooltip]="!checkEditRemove? 'Редактирование недоступно' : null">
							<button mat-icon-button
								(click)="edit(item, index)"
								matTooltip="Редактировать дату"
								[disabled]="!checkEditRemove">
								<mat-icon svgIcon="pencil"></mat-icon>
							</button>
						</span>
						<span [matTooltip]="!checkEditRemove? 'Удаление недоступно' : null">
							<button mat-icon-button
								(click)="remove(item, index)"
								matTooltip="Удалить дату"
								[disabled]="!checkEditRemove">
								<mat-icon svgIcon="delete-outline"></mat-icon>
							</button>
						</span>
						
					</ng-container>
					<ng-container *ngIf="index === editIndex && editData">
						<button mat-icon-button
							(click)="save(item, index)"
							[disabled]="!editData.end_date"
							matTooltip="Сохранить">
							<mat-icon svgIcon="content-save-outline"></mat-icon>
						</button>
						<button mat-icon-button
							(click)="cancel(item, index)"
							matTooltip="Отменить редактирвание">
							<mat-icon svgIcon="cancel"></mat-icon>
						</button>

					</ng-container>



			</td>
		</ng-container>

		<ng-container matColumnDef="noRecord">
			<td mat-footer-cell *matFooterCellDef [colSpan]="columnsHeader.length" ><i>Котрольных дат не найдено</i></td>
		</ng-container>

		<tr mat-header-row *matHeaderRowDef="columnsHeader"></tr>
		<tr mat-row *matRowDef="let row; columns: columnsHeader;"
			[hidden]="data.length === 0"></tr>

		<tr mat-footer-row *matFooterRowDef="['noRecord'] "
			[hidden]="data.length !== 0"></tr>


	</table>
</mat-card>
